| Flutter Windows Embedder |

Public Member Functions | Protected Member Functions | List of all members
flutter::testing::CursorHandlerTest Class Reference
Inheritance diagram for flutter::testing::CursorHandlerTest:

## Public Member Functions
| CursorHandlerTest ()=default
virtual | ~CursorHandlerTest ()=default

## Protected Member Functions
FlutterWindowsEngine * | engine ()
FlutterWindowsView * | view ()
MockWindowBindingHandler * | window ()
void | UseHeadlessEngine ()
void | UseEngineWithView ()

## Detailed Description

Definition at line 57 of file cursor_handler_unittests.cc.

## Constructor & Destructor Documentation

## ◆ CursorHandlerTest()

flutter::testing::CursorHandlerTest::CursorHandlerTest | ( |  | ) |
| default

## ◆ ~CursorHandlerTest()

virtual flutter::testing::CursorHandlerTest::~CursorHandlerTest | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ engine()

FlutterWindowsEngine* flutter::testing::CursorHandlerTest::engine | ( |  | ) |
| inlineprotected

Definition at line 63 of file cursor_handler_unittests.cc.

63 { return engine_.get(); }

## ◆ UseEngineWithView()

void flutter::testing::CursorHandlerTest::UseEngineWithView | ( |  | ) |
| inlineprotected

Definition at line 73 of file cursor_handler_unittests.cc.

73 {
74 FlutterWindowsEngineBuilder builder{GetContext()};
75
76 auto window = std::make_unique<MockWindowBindingHandler>();
77 EXPECT_CALL(*window.get(), SetView).Times(1);
78 EXPECT_CALL(*window.get(), GetWindowHandle).WillRepeatedly(Return(nullptr));
79
80 window_ = window.get();
81 engine_ = builder.Build();
82 view_ = std::make_unique<FlutterWindowsView>(kImplicitViewId, engine_.get(),
83 std::move(window));
84
85 EngineModifier modifier{engine_.get()};
86 modifier.SetImplicitView(view_.get());
87 }

References flutter::kImplicitViewId, and window().

## ◆ UseHeadlessEngine()

void flutter::testing::CursorHandlerTest::UseHeadlessEngine | ( |  | ) |
| inlineprotected

Definition at line 67 of file cursor_handler_unittests.cc.

67 {
68 FlutterWindowsEngineBuilder builder{GetContext()};
69
70 engine_ = builder.Build();
71 }

## ◆ view()

FlutterWindowsView* flutter::testing::CursorHandlerTest::view | ( |  | ) |
| inlineprotected

Definition at line 64 of file cursor_handler_unittests.cc.

64 { return view_.get(); }

## ◆ window()

MockWindowBindingHandler* flutter::testing::CursorHandlerTest::window | ( |  | ) |
| inlineprotected

Definition at line 65 of file cursor_handler_unittests.cc.

65 { return window_; }

Referenced by UseEngineWithView().

The documentation for this class was generated from the following file:

- shell/platform/windows/cursor_handler_unittests.cc

flutter::kImplicitViewId
constexpr FlutterViewId kImplicitViewId
Definition: flutter_windows_engine.h:55
flutter::testing::CursorHandlerTest::window
MockWindowBindingHandler * window()
Definition: cursor_handler_unittests.cc:65